#include <gtk/gtk.h>
#include "shorthands.h"
#include "support.h"

gint
check_entry (gchar *widget_name, gchar *label_name, gchar *label_text)
{
	GtkWidget *widget;
	gchar str[256];
	gint lenght;

	widget = GTK_WIDGET (gtk_builder_get_object (builder, widget_name));
	lenght = gtk_entry_get_text_length (GTK_ENTRY (widget));

	if (lenght > 0)
	{
		widget = GTK_WIDGET (gtk_builder_get_object (builder, label_name));
		g_sprintf (str, "%s", label_text);
		gtk_label_set_markup (GTK_LABEL (widget), str);
		return 1;
	}



	widget = GTK_WIDGET (gtk_builder_get_object (builder, label_name));
	g_sprintf (str, _("%s<span fgcolor=\"#FF0000\">*</span>"), label_text);
	gtk_label_set_markup (GTK_LABEL (widget), str);

	return 0;
}

void
check_reg_form ()
{
	gint local_res;
	gint res = 0;

	local_res = check_entry ("entry_name", "label_name", _("First name"));
	res += local_res;
	local_res = check_entry ("entry_fam",  "label_fam",  _("Second name"));
	res += local_res;
	local_res = check_entry ("entry_mail", "label_mail", _("E-mail"));
	res += local_res;

	if (res == 3)
	{
		gtk_widget_set_sensitive (ForwardButton, TRUE);
	}
	else
	{
		gtk_widget_set_sensitive (ForwardButton, FALSE);
	}
}


void
read_entry (gchar *widget_name, gchar *out)
{
	GtkWidget *widget;
	widget = GTK_WIDGET (gtk_builder_get_object (builder, widget_name));

	g_sprintf (out, "%s", gtk_entry_get_text (GTK_ENTRY (widget)));
}

void
read_form (gchar *name, gchar* fam, gchar* mail, gchar* comment)
{
	read_entry ("entry_name", 	name);
	read_entry ("entry_fam",  	fam );
	read_entry ("entry_mail", 	mail);
	read_entry ("entry_comment", comment);
}
