#include "state.h"
#include "shorthands.h"
#include "support.h"


void 
set_state_welcome ()
{
	gchar string[512] = "\0";
	cur_state = 0;


	g_sprintf (string, _("Programm use port %s"), server_port);
	gtk_label_set_text (GTK_LABEL (GTK_WIDGET (gtk_builder_get_object (builder,"label_port"))),string);
	gtk_widget_hide (BackButton);
	gtk_widget_set_sensitive (ForwardButton, TRUE);
	gtk_notebook_set_current_page (GTK_NOTEBOOK (Notebook), WELCOME);
}


void 
set_state_register ()
{
	cur_state = 1;

	gtk_notebook_set_current_page (GTK_NOTEBOOK (Notebook), REGISTER);
	gtk_widget_show (BackButton);
	gtk_widget_set_sensitive (ForwardButton, FALSE);
}


void 
set_state_gettestplan ()
{
	cur_state = 2;

	gtk_widget_hide (GTK_WIDGET (gtk_builder_get_object (builder,"button_new_test")));
	gtk_widget_show (GTK_WIDGET (gtk_builder_get_object (builder,"button_send")));
	gtk_widget_hide (BackButton);
	gtk_notebook_set_current_page (GTK_NOTEBOOK (Notebook), GETTESTPLAN);
	gtk_widget_show (ForwardButton);
	gtk_widget_set_sensitive (ForwardButton, FALSE);
}


void
set_state_test ()
{
	cur_state = 3;

	gtk_notebook_set_current_page (GTK_NOTEBOOK (Notebook), TEST);
	gtk_widget_set_sensitive (ForwardButton, FALSE);
}

void
set_state_test_after_send ()
{
	cur_state = 3;

	gtk_notebook_set_current_page (GTK_NOTEBOOK (Notebook), TEST);
	gtk_widget_show (BackButton);
	gtk_widget_show (ForwardButton);
}


void
set_state_send ()
{
	cur_state = 4;

	gtk_notebook_set_current_page (GTK_NOTEBOOK (Notebook), SEND);
	gtk_widget_show (BackButton);
	gtk_widget_hide (ForwardButton);
}


void
set_state (gint state, GtkBuilder *builder)
{
	switch (state)
	{
		case WELCOME:
			set_state_welcome ();
		break;
		case REGISTER:
			set_state_register ();
		break;
		case GETTESTPLAN:
			set_state_gettestplan ();
		break;
		case TEST:
			set_state_test ();
		break;
		case SEND:
			set_state_send ();
		break;
	}
}
